App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
mhr.appcore.interfaces.PDBitmap Interface Reference

Platform Dependent Bitmap. More...

Inheritance diagram for mhr.appcore.interfaces.PDBitmap:

## Public Member Functions
long | getAndLockData ()
| Zpřístupní data bitmapy a vrátí jejich adresu v paměti.
int | unlockData ()
| Voláno v okamžiku, kdy již aplikace dopracovala s daty bitmapy.
BitmapInfo | getInfo ()
| Vrací informace o bitmapě.
PDBitmap | makeCopy ()
| Vytvoří kopii bitmapy.
PDBitmap | createBitmap (BitmapInfo i) throws UnsupportedBitmapException
void | dispose ()

## Detailed Description

Platform Dependent Bitmap.

Definition at line 9 of file PDBitmap.java.

## Member Function Documentation

PDBitmap mhr.appcore.interfaces.PDBitmap.createBitmap | ( | BitmapInfo | i | ) | throws UnsupportedBitmapException

Implemented in mhr.appandroid.adapters.APDBitmap.

void mhr.appcore.interfaces.PDBitmap.dispose | ( |  | ) |

Implemented in mhr.appandroid.adapters.APDBitmap.

long mhr.appcore.interfaces.PDBitmap.getAndLockData | ( |  | ) |

Zpřístupní data bitmapy a vrátí jejich adresu v paměti.

Returns
  Adresa dat v paměti, null (0x0) při neúspěchu.

Implemented in mhr.appandroid.adapters.APDBitmap.

BitmapInfo mhr.appcore.interfaces.PDBitmap.getInfo | ( |  | ) |

Vrací informace o bitmapě.

Returns
  Info o bitmapě, pokud není typ podporován tak hodí výjimku.

Implemented in mhr.appandroid.adapters.APDBitmap.

PDBitmap mhr.appcore.interfaces.PDBitmap.makeCopy | ( |  | ) |

Vytvoří kopii bitmapy.

Returns

Implemented in mhr.appandroid.adapters.APDBitmap.

int mhr.appcore.interfaces.PDBitmap.unlockData | ( |  | ) |

Voláno v okamžiku, kdy již aplikace dopracovala s daty bitmapy.

Returns
  0 v případě úspěchu.

Implemented in mhr.appandroid.adapters.APDBitmap.

The documentation for this interface was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/interfaces/PDBitmap.java